# Class ShortPair

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.ShortPair

@Equality public class ShortPair extends Object
Aggregates two short integer values. Intended (and optimised) for use as a map key.

Since:
  15 Jan 2015
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShortPair(short x, short y)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`short`
`getX()`
Returns X value.
`short`
`getY()`
Returns Y value.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShortPair

public ShortPair(short x, short y)
Constructor.

Parameters:
  `x` - first value
  `y` - second value

## Method Details

### getX

public short getX()
Returns X value.

Returns:
  x

### getY

public short getY()
Returns Y value.

Returns:
  y

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`